% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{evaluation_metrics}
\alias{evaluation_metrics}
\title{Evaluation metrics for model predictions}
\usage{
evaluation_metrics(df, na.rm = TRUE, method = "spearman")
}
\arguments{
\item{df}{A data.frame with columns: `observed` (0/1), `predicted` (0/1), `probability` (numeric).}

\item{na.rm}{Logical. Whether to remove rows with NA values.}

\item{method}{Correlation method for CBI ("spearman", "pearson", or "kendall").}
}
\value{
A named list or data.frame with evaluation metrics.
}
\description{
Computes a set of performance metrics (e.g., AUC, TSS, CBI) based on observed and predicted values.
}
